# List fulfillments Obtains a list of fulfillments that match the specified criteria. Note: Orders that have been marked as shipped either through the UI or API will appear in the response as they are considered fulfillments. Endpoint: GET /fulfillments Version: 1.0.0 Security: basicAuth ## Query parameters: - `fulfillmentId` (integer) Returns the fulfillment with the specified fulfillment ID - `orderId` (integer) Returns fulfillments whose orders have the specified order ID - `orderNumber` (string) Returns fulfillments whose orders have the specified order number - `trackingNumber` (string) Returns fulfillments with the specified tracking number - `recipientName` (string) Returns fulfillments shipped to the specified recipient name - `createDateStart` (string) Returns fulfillments created on or after the specified date - `createDateEnd` (string) Returns fulfillments created on or before the specified date - `shipDateStart` (string) Returns fulfillments with shipDate on or after the specified date - `shipDateEnd` (string) Returns fulfillments with shipDate on or before the specified date - `sortBy` (string) Sort the responses by a set value Enum: "ShipDate", "CreateDate" - `sortDir` (string) Sort direction Enum: "ASC", "DESC" - `page` (integer) Page number - `pageSize` (integer) Number of results per page. Maximum 500. ## Response 200 fields (application/json): - `fulfillments` (array) - `fulfillments.fulfillmentId` (integer) - `fulfillments.orderId` (integer) - `fulfillments.orderNumber` (string) - `fulfillments.trackingNumber` (string) - `fulfillments.shipDate` (string) - `fulfillments.carrierCode` (string) - `fulfillments.serviceCode` (string) - `total` (integer) - `page` (integer) - `pages` (integer) ## Response 400 fields (application/json): - `message` (string) Example: "Invalid request parameters" ## Response 401 fields (application/json): - `message` (string) Example: "Invalid API credentials" ## Response 500 fields (application/json): - `message` (string) Example: "An internal error occurred"